#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh

check() {
    [[ $mount_needs ]] && return 1
    if require_binaries $systemdutildir/systemd; then
        SYSTEMD_VERSION=$($systemdutildir/systemd --version | { read a b a; echo $b; })
        (( $SYSTEMD_VERSION >= 198 )) && return 0
       return 255
    fi

    return 1
}

depends() {
    return 0
}

installkernel() {
    instmods autofs4 ipv6
    instmods -s efivarfs
}


ug_check_and_add() {
    local name="$1"
    local file="$2"

    if egrep -q "^$name:" "$file" 2>/dev/null \
            && ! egrep -q "^$name:" "$initdir$file" 2>/dev/null; then
        egrep "^$name:" "$file" 2>/dev/null >> "$initdir$file"
    fi
}

install() {
    local _mods

	inst_simple "$moddir/ky-verify.service" ${systemdsystemunitdir}/ky-verify.service

	inst_script "/usr/bin/ky-verify" /bin/ky-verify

	mkdir -p "${initdir}/$systemdsystemunitdir/sysinit.target.wants"
	inst_simple "$moddir/ky-verify.service" "$systemdsystemunitdir/ky-verify.service"
	ln_r "$systemdsystemunitdir/ky-verify.service" "$systemdsystemunitdir/sysinit.target.wants/ky-verify.service"
}

